%define upstream_name    Class-Refresh
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Refresh your classes during runtime
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Devel::OverrideGlobalRequire)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
During development, it is fairly common to cycle between writing code and
testing that code. Generally the testing happens within the test suite, but
frequently it is more convenient to test things by hand when tracking down
a bug, or when doing some exploratory coding. In many situations, however,
this becomes inconvenient - for instance, in a REPL, or in a stateful web
application, restarting from the beginning after every code change can get
pretty tedious. This module allows you to reload your application classes
on the fly, so that the code/test cycle becomes a lot easier.

This module takes a hash of import arguments, which can include:

* track_require

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-4.mga9
+ Revision: 1808520
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1503574
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1282269
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.70.0-1.mga7
+ Revision: 1217002
- imported package perl-Class-Refresh


* Tue Apr 10 2018 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
